Loading...
Searching...
No Matches
FileDataProvider::FileCopyDataProvider Class Reference

The File copy data provider class. More...

`#include <FileCopyDataProvider.qc.dox.h>`

Inheritance diagram for FileDataProvider::FileCopyDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (*string root, *bool lock, *bool readonly)
| Creates the object from the arguments.
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from FileDataProvider::FileDataProviderBase
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (*string root, *bool lock, *bool readonly)
| Creates the object from the arguments.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | RequestType = new FileCopyRequestDataType()
| Request type.
const | ResponseType = FileTargetResponseDataType
| Response type.
Public Attributes inherited from FileDataProvider::FileDataProviderBase
const | ConstructorOptions = ...
| Constructor options.

## Protected Member Functions

auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.
Protected Member Functions inherited from FileDataProvider::FileDataProviderBase
| checkPath (string path)
| Check the given path when "lock" and "root" are set.
| checkReadOnly (string op)
| Checks if the readonly flag is set.

## Additional Inherited Members

Protected Attributes inherited from FileDataProvider::FileDataProviderBase
bool | lock
| Lock down access to the root?
bool | readonly
| Read only flag.
*string | root
| Any anchoring dir for filesystem actions.

## Detailed Description

The File copy data provider class.

## Member Function Documentation

## doRequestImpl()

auto FileDataProvider::FileCopyDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )

protected

Makes a request and returns the response.

Parameters

  req | req the request info
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

Exceptions

  SAME-DIR-ERROR | If both paths point to the same file
  DIR-STAT-ERROR | If stat call for the source path fails
  PATH-EXISTS-ERROR | If destination path exists and overwrite flag is not set.

## getRequestTypeImpl()

*AbstractDataProviderType FileDataProvider::FileCopyDataProvider::getRequestTypeImpl | ( |  | ) |

protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## getResponseTypeImpl()

*AbstractDataProviderType FileDataProvider::FileCopyDataProvider::getResponseTypeImpl | ( |  | ) |

protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message